window.Gleam.initSearch([{"doc":"gleeunit","title":"gleeunit","content":"# gleeunit\n\nGleam bindings to the Erlang EUnit test framework.\n\nA custom test runner is included for when compiled to JavaScript.\n\nDocumentation is available on [HexDocs](https://hexdocs.pm/gleeunit/index.html).\n\n## Usage\n\nAdd this package to your Gleam project.\n\n```sh\ngleam add gleeunit --dev\n```\n\nAnd then call the `gleeunit.main` function from your test main function.\n\n```rust\n// In test/yourapp_test.gleam\nimport gleeunit\n\npub fn main() {\n  gleeunit.main()\n}\n```\n\nNow any public function with a name ending in `_test` in the `test` directory\nwill be found and run as a test.\n\n```rust\npub fn the_universe_test() {\n  assert 1 = 1\n}\n```\n\nRun the tests by entering `gleam test` in the command line.\n","url":"index.html"},{"doc":"gleeunit/should","title":"be_error","content":"pub external fn be_error(Result(a, b)) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_error\ngleeunit/should be_error","url":"gleeunit/should.html#be_error"},{"doc":"gleeunit/should","title":"be_false","content":"pub fn be_false(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_false\ngleeunit/should be_false","url":"gleeunit/should.html#be_false"},{"doc":"gleeunit/should","title":"be_ok","content":"pub external fn be_ok(Result(a, b)) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_ok\ngleeunit/should be_ok","url":"gleeunit/should.html#be_ok"},{"doc":"gleeunit/should","title":"be_true","content":"pub fn be_true(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_true\ngleeunit/should be_true","url":"gleeunit/should.html#be_true"},{"doc":"gleeunit/should","title":"equal","content":"pub external fn equal(a, a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.equal\ngleeunit/should equal","url":"gleeunit/should.html#equal"},{"doc":"gleeunit/should","title":"fail","content":"pub fn fail() -&gt; Nil\n\nSynonyms:\ngleeunit/should.fail\ngleeunit/should fail","url":"gleeunit/should.html#fail"},{"doc":"gleeunit/should","title":"not_equal","content":"pub external fn not_equal(a, a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.not_equal\ngleeunit/should not_equal","url":"gleeunit/should.html#not_equal"},{"doc":"gleeunit/should","title":"gleeunit/should","content":" A module for testing your Gleam code. The functions found here are\n compatible with the Erlang eunit test framework.\n\n More information on running eunit can be found in [the rebar3\n documentation](https://rebar3.org/docs/testing/eunit/).","url":"gleeunit/should.html"},{"doc":"gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n Find and run all test functions for the current project using Erlang&#39;s EUnit\n test framework.\n\n Any Erlang or Gleam function in the `test` directory with a name editing in\n `_test` is considered a test function and will be run.\n\n If running on JavaScript tests will be run with a custom test runner.\n\nSynonyms:\ngleeunit.main\ngleeunit main","url":"gleeunit.html#main"},{"doc":"gleeunit","title":"gleeunit","content":"","url":"gleeunit.html"}]);